[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| YPrimeCbCr2RGBPrimeFunctor Class Template Reference |
--- | --- | ---

Convert Y'CbCr color difference components into non-linear (gamma corrected) R'G'B'. More...

`#include "vigra/colorconversions.hxx"`

## Public Types

typedef TinyVector< T, 3 > | argument_type
typedef RGBValue< T > | result_type
typedef RGBValue< T > | value_type

## Public Methods

| YPrimeCbCr2RGBPrimeFunctor ()
| YPrimeCbCr2RGBPrimeFunctor (component_type max)
template<class V> result_type | operator() (V const &ycbcr) const

## Detailed Description

### template<class T>
class vigra::YPrimeCbCr2RGBPrimeFunctor< T >

Convert Y'CbCr color difference components into non-linear (gamma corrected) R'G'B'.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::RGBPrime2YPrimeCbCrFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

| the functor's argument type. (Actually, the argument type can be any vector type with the same interface. But this cannot be expressed in a typedef.)

typedef RGBValue<T> result_type

| the functor's result type

typedef RGBValue<T> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

YPrimeCbCr2RGBPrimeFunctor | ( |  | ) | `[inline]`

| default constructor. The maximum value for each RGB component defaults to 255.

YPrimeCbCr2RGBPrimeFunctor | ( | component_type | max | ) | `[inline]`

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | ycbcr | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)